<?php

class TimeTrexClientUser {

    // constants for result of User request: 
    const ERROR = 0;
    const USER_NOT_FOUND = 1;
    const SUCCESS = 2;

    private $result;

    public function __construct() {
        // default to error state:
        $this->result = TimeTrexClientUser::ERROR;
    }

    public function getResult() {
        return $this->result;
    }

    // authenticate, display any error messages, and return 
    // the user data if successful, returning false if not found
    public function getUserData($punchId) {
        $user_data = false;
        // authenticate
        $user_obj = new TimeTrexClientAPI('User');
        if ($user_obj == false) {
            echo "CONNECTION ERROR - user_obj";
        } else {
            $result = $user_obj->getUser(array('filter_data' => array('employee_number' => $punchId)));
            if ($result == false) {
                echo "CONNECTION ERROR - getUser";
            } else {
                $user_data = $result->getResult();
                if ($user_data == false) {
                    echo "CONNECTION ERROR - getResult -> getUser";
                } else if (is_bool($user_data) == true) {
                    echo "USER NOT FOUND IN DATABASE!";
                    $this->result = TimeTrexClientUser::USER_NOT_FOUND;
                    $user_data = false;
                } else {
                    $this->result = TimeTrexClientUser::SUCCESS;
                }
            }
        }
        return $user_data;
    }

}
